/*
 *Licensed Materials - Use restricted, please refer to the "Samples Gallery" terms and conditions in the IBM International Program License Agreement.
 *
 * Copyright IBM Corporation 2003, 2004. All Rights Reserved. 
 */

package testobject.eclipse;

import com.rational.test.ft.object.interfaces.TestObject;

/**
 * This class provides a TestObject for the Eclipse 
 * (see http://www.eclipse.org/) shell WorkbenchPage.
 * Note that this is not complete.
 */
public class WorkbenchPageTestObject extends TestObject 
{

	/**
	 * Constructor
	 */
	public WorkbenchPageTestObject(TestObject obj)
	{
		super (obj);
	}
	
	/**
	 * get the ActionBars
	 */
	public TestObject[] getActionBars()
	{
	    TestObject[] actionBars = (TestObject[])invoke("getActionBars");
	    return actionBars;
	}
	
	/**
	 * get the ActionSets
	 */
	public TestObject[] getActionSets()
	{
	    TestObject[] actionSets = (TestObject[])invoke("getActionSets");
	    return actionSets;
	}

	/**
	 * get the Active Editor
	 */
	public TestObject getActiveEditor()
	{
	    return (TestObject)getProperty("activeEditor");
	}


	/**
	 * get the Active Part
	 */
	public TestObject getActivePart()
	{
	    return (TestObject)getProperty("activePart");
	}

	/**
	 * get an array containing the editors
	 */
	public TestObject[] getEditors()
	{
	    TestObject[] editors = (TestObject[])invoke("getEditors");
	    return editors;
	}

	/**
	 * get the Perspective
	 */
	public TestObject getPerspective()
	{
	    return (TestObject)getProperty("activePart");
	}
	
	/**
	 * get the Views
	 */
	public TestObject[] getViews()
	{
	    TestObject[] views = (TestObject[])invoke("getViews");
	    return views;
	}
}

