/*
 *Licensed Materials - Use restricted, please refer to the "Samples Gallery" terms and conditions in the IBM International Program License Agreement.
 *
 * Copyright IBM Corporation 2003, 2004. All Rights Reserved. 
 */

package testobject.eclipse;

import com.rational.test.ft.object.interfaces.*;

/**
 * A TestObject for the Eclipse (see http://www.eclipse.org/) shell Workbench.
 */
public class WorkbenchTestObject extends TestObject 
{	
	public WorkbenchTestObject(TestObject obj)
	{
		super (obj);
	}

	/** return an array of workbench windows. You should unregister
	 * these to avoid memory leaks
	 */
	public WorkbenchWindowTestObject[] getWorkbenchWindows()
	{
		TestObject[] array =(TestObject[])invoke("getWorkbenchWindows" );
		int n = array.length;
		WorkbenchWindowTestObject[] warray = new WorkbenchWindowTestObject[n];
		for (int i = 0; i < n; ++i)
		{
			warray[i] = new WorkbenchWindowTestObject(array[i]); 
		}
		return warray;
	}
	
	/** return the active workbench windows. You should unregister
	 * these to avoid memory leaks.
	 * Seems to always return null?
	 */
	public WorkbenchWindowTestObject getActiveWorkbenchWindow()
	{
		//TestObject o = (TestObject)getProperty("activeWorkbenchWindow");
		TestObject o = (TestObject)invoke("getActiveWorkbenchWindow");
		if (o == null)
			return null;
		return new WorkbenchWindowTestObject(o); 
	}
	
	/** return the command line args used by eclipse.
	 */
	public String[] getCommandLineArgs()
	{
		return (String[])invoke("getCommandLineArgs");
	}
}

